SHELL=/bin/sh
BENCHMARK=lu
BENCHMARKU=LU

include ../config/make.def
include ../sys/make.common

OBJS = lu.o read_input.o \
       domain.o setcoeff.o setbv.o exact.o setiv.o \
       erhs.o ssor.o rhs.o l2norm.o error.o \
       pintgr.o verify.o print_results.o timers.o



${PROGRAM}: config
	${MAKE} exec

exec: $(OBJS)
	${FLINK} ${FLINKFLAGS} -o ${PROGRAM} ${OBJS} ${F_LIB}

.f.o :
	${F77} ${FFLAGS} -c -o $@ $<

lu.o:	lu.f applu.incl npbparams.h
erhs.o:	erhs.f applu.incl npbparams.h
error.o:	error.f applu.incl npbparams.h
exact.o:	exact.f applu.incl npbparams.h
l2norm.o:	l2norm.f
pintgr.o:	pintgr.f applu.incl npbparams.h
read_input.o:	read_input.f applu.incl npbparams.h
rhs.o:	rhs.f applu.incl npbparams.h
setbv.o:	setbv.f applu.incl npbparams.h
setiv.o:	setiv.f applu.incl npbparams.h
setcoeff.o:	setcoeff.f applu.incl npbparams.h
ssor.o:	ssor.f applu.incl npbparams.h
domain.o:	domain.f applu.incl npbparams.h
verify.o:	verify.f applu.incl npbparams.h
print_results.o:	print_results.f
timers.o:	timers.f 

clean:
	- /bin/rm -f npbparams.h
	- /bin/rm -f *.o *DVMH* *~
	- /bin/rm -f *.cu *.cuf 
